# pro环境
server.port=8080

logging.level.root=INFO

# MyBatis相关
mybatis.config-location=classpath:/mybatis-config.xml
mybatis.mapper-locations=classpath*:/mappings/*Mapper.xml
mybatis.hint.mapper-locations=classpath*:/hint/*Mapper.xml
mybatis.cy.mapper-locations=classpath*:/cy/*Mapper.xml
mybatis.temp.mapper-locations=classpath*:/temp/*Mapper.xml
mybatis.design.mapper-locations=classpath*:/design/*Mapper.xml
mybatis.tb.mapper-locations=classpath*:/tb/*Mapper.xml

mybatis.cy.marketing.mapper-locations=classpath*:/cymarketing/*Mapper.xml
mybatis.routing.mapper-locations=classpath*:/routing/*Mapper.xml
mybatis.hint.new.mapper-locations=classpath*:/hintnew/*Mapper.xml
mybatis.reta.mapper-locations=classpath*:/reta/*Mapper.xml
mybatis.old.routing.mapper-locations=classpath*:/oldrouting/*Mapper.xml
mybatis.new-data-source.mapper-locations=classpath*:/newdatasource/*Mapper.xml
mybatis.history.data.mapper-locations=classpath*:/history/*Mapper.xml
mybatis.hint.history.data.mapper-locations=classpath*:/hinthistory/*Mapper.xml
mybatis.chen.mapper-locations=classpath*:/chen/*Mapper.xml




#普罗米修斯监控配置 暴露端口、路径
management.server.port=8081
management.endpoints.web.base-path=/
management.endpoints.web.exposure.include=*
management.metrics.export.prometheus.enabled=true
management.metrics.export.prometheus.step=1ms
management.metrics.export.prometheus.descriptions=true
management.health.defaults.enabled=false
sharding.index.size=8

# ES相关
es.host=elasticsearch-gateway.qmai.cn
es.port=9200
es.username=elastic
es.password=order2022Center
es.connectionTimeout=500
es.socketTimeout=5000
# 订单索引数量 与prod非一致
es.orderIndexSize=32

application.server.profile=pro
zk.url=zk.zookeeper.db.qmai.cn:2181

# redis相关
redis.host=order-center.redis.db.qmai.cn
redis.port=6379
redis.password=
redis.db=0
redis.timeout=2000
redis.minIdle=5
redis.maxIdle=20
redis.maxActive=100
redis.maxWait=500

# 公共redis相关
redis.inner.host=rdb.redis.db.qmai.cn
redis.inner.port=6379
redis.inner.timeout=3000
redis.inner.db=4

# public redis
spring.redis.public.host=rdb.redis.db.qmai.cn
spring.redis.public.password=
spring.redis.public.port=6380
spring.redis.public.database=4

# 内部配置
sharding.db.size=32
sharding.tb.size=8

# 内部配置
new.sharding.db.size=32
new.sharding.tb.size=32

# 字符集相关
spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
spring.jackson.time-zone=GMT+8

# dingTalk 提示
dingTalk.url=https://oapi.dingtalk.com/robot/send?access_token=a9a0f3a3c2260021b6d67cc053212b5be5a0d20e46e8632bfffb725c139a439f
dingTalk.secret=SEC6b6811e92780cc060262c7eeb8a0938a36ca45d221033b977184d863ecf5d962


# 集中式消息队列相关
cy.auto.cancel.order.routing.key=order-center.order-center.cy-auto-cancel-order-notice
cy.auto.complete.order.routing.key=order-center.order-center.cy-auto-complete-order-notice
cy.aggregate.order.create.routing.key=order-center.order-center.cy-create-aggregate-order-notice
retail.auto.cancel.order.routing.key=order-center.order-center.reta-auto-cancel-order-notice
retail.auto.complete.order.routing.key=order-center.order-center.reta-auto-complete-order-notice
retail.notice.auto.verify.order.routing.key=order-center.order-center.reta-auto-verify-order-notice
order.push.notice.key=order-center.order-center.order-push-notice
refund.push.notice.key=order-center.order-center.refund-push-notice
catering.auto.cancel.order.routing.key=order-center.order-center.catering-auto-cancel-notice

# swagger相关
swagger.enable=false

goods.center.tool.url=http://goods-center-tool-svc/

# tidb表
tidb.url=jdbc:mysql://td01.tidb.db.qmai.cn:4000/orderpro?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
tidb.driverClassName=com.mysql.cj.jdbc.Driver
tidb.userName=dwloadpro
tidb.password=g$@2h0jk

temp.url=jdbc:mysql://10.20.254.31:3306/order_pro?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
temp.driverClassName=com.mysql.cj.jdbc.Driver
temp.userName=root
temp.password=123.456

# 陈香贵数据库
chen.url=jdbc:mysql://124.71.161.47:13306/db_hll_data?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
chen.driverClassName=com.mysql.cj.jdbc.Driver
chen.userName=qmzy
chen.password=qm@2023

# 餐饮关联表
cy.url=jdbc:mysql://rr-uf6z60p33zio213t9.mysql.rds.aliyuncs.com:3306/sqltakeout?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
cy.driverClassName=com.mysql.cj.jdbc.Driver
cy.userName=qry
cy.password=dfagk#gh

# 零售关联表
reta.url=jdbc:mysql://reta.mysql.db.qmai.cn:3306/sqlretapro?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
reta.driverClassName=com.mysql.cj.jdbc.Driver
reta.userName=retapro
reta.password=Reta2018pro

# ons相关
order.sync.es.topic=order-center-sync-es
order.sync.es.tag=*
order.message.push.queue.topic=order-center-order-message-push
order.message.push.queue.tag=order_message_push
refund.message.push.queue.tag=refund_message_push
order.batch.sync.es.topic=order-center-batch-sync-es
order.comment.count.topic=order-center-order-comment-count
order.comment.count.tag=*
order.index.topic=order-center-index-order
order.index.tag=*
order.comment.message.topic=order-center-order-comment-message
order.comment.message.tag=*
sync.sub.orders.topic=order-center-sync-sub-orders
sync.sub.orders.tag=*
order.message.queue.topic=order-center-order-message
order.message.queue.tag=*

order.common.topic=order-center-common
order.batch.sync.es.tag=batch_sync_es

order.cancel.notice.catering.tag=order-center-cancel-notice-catering
order.complete.notice.catering.tag=order-center-complete-notice-catering
order.cancel.notice.baking.tag=order-center-cancel-notice-baking

ons.accessKey=LTAI4FdR8Tj1nXGDkj4vaUGw
ons.secretKey=1WysnZVhlR2SU3vA2RguZrCNmebpIC
ons.nameSrvAddr=http://MQ_INST_1130346489794504_Bbos1vEo.cn-shanghai.mq-internal.aliyuncs.com:8080
ons.groupId=GID_order-center-tool
ons.orderlyGroupId=GID_orderly_order-center-tool


# 餐饮营销库
cy.marketing.url=jdbc:mysql://myb.mysql.db.qmai.cn:3306/sqlmkserverpro?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
cy.marketing.driverClassName=com.mysql.cj.jdbc.Driver
cy.marketing.userName=mkserverpro
cy.marketing.password=MKserver2018pro

# 美团审计临时库
design.url=jdbc:mysql://meituan.mysql.db.qmai.cn:3306/meituandbpro?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
design.driverClassName=com.mysql.cj.jdbc.Driver
design.userName=meituandbpro
design.password=sdfe#gfs

# 路由临时机器
routing.url=jdbc:mysql://rm-uf6yreq3wnjib74h8.mysql.rds.aliyuncs.com/orderpro_01?characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai
routing.driverClassName=com.mysql.cj.jdbc.Driver
routing.userName=tmp
routing.password=dfafdaf

# kafka配置
spring.kafka.bootstrap-servers=kf01.kafka.db.qmai.cn:9092,kf02.kafka.db.qmai.cn:9092,kf03.kafka.db.qmai.cn:9092
spring.kafka.producer.key-serializer=org.apache.kafka.common.serialization.StringSerializer
spring.kafka.producer.value-serializer=org.apache.kafka.common.serialization.StringSerializer
spring.kafka.consumer.group-id=GID_bin_log_data_order_center_new
# 该属性指定了消费者在读取一个没有偏移量的分区或者偏移量无效的情况下该作何处理：
# latest（默认值）在偏移量无效的情况下，消费者将从最新的记录开始读取数据（在消费者启动之后生成的记录）
# earliest ：在偏移量无效的情况下，消费者将从起始位置读取分区的记录
spring.kafka.consumer.auto-offset-reset=latest
# 是否自动提交偏移量，默认值是true,为了避免出现重复数据和数据丢失，可以把它设置为false,然后手动提交偏移量
spring.kafka.consumer.enable-auto-commit=false
spring.kafka.consumer.key-deserializer=org.apache.kafka.common.serialization.StringDeserializer
spring.kafka.consumer.value-deserializer=org.apache.kafka.common.serialization.StringDeserializer
spring.kafka.listener.ack-mode=manual
spring.kafka.listener.missing-topics-fatal=false
#批量消费
spring.kafka.listener.type=batch
#最大消费数量
spring.kafka.consumer.max-poll-records=400

# kafka 消费topic列表 beta环境的topic多了个【beta_】前缀
kafka.bin.log.sync.order.topic=orders
kafka.bin.log.sync.order.item.topic=order_items
kafka.bin.log.sync.order.discount.topic=order_discounts
kafka.bin.log.sync.order.pay.details.topic=order_pay_details
kafka.bin.log.sync.order.address.topic=order_addresses
kafka.bin.log.sync.order.self.take.topic=order_self_take
kafka.bin.log.sync.order.item.batching.topic=order_item_batching
kafka.bin.log.sync.order.extends.topic=order_extends

kafka.bin.log.sync.order.refunds.topic=order_refunds
kafka.bin.log.sync.refund.details.topic=order_refund_details
kafka.bin.log.sync.order.comment.topic=order_comment
kafka.bin.log.sync.item.comment.topic=order_item_comment

kafka.bin.log.sync.new.order.topic=new_orders
kafka.bin.log.sync.new.order.pay.details.topic=new_order_pay_details
kafka.bin.log.sync.new.refund.details.topic=new_order_refund_details
kafka.bin.log.sync.new.order.comment.topic=new_order_comment
kafka.bin.log.sync.new.order.refunds.topic=new_order_refunds
kafka.bin.log.sync.new.item.comment.topic=new_order_item_comment


# kafka produce配置
kafka.produce.servers=alikafka-pre-cn-5yd3bizti005-1-vpc.alikafka.aliyuncs.com:9092,alikafka-pre-cn-5yd3bizti005-2-vpc.alikafka.aliyuncs.com:9092,alikafka-pre-cn-5yd3bizti005-3-vpc.alikafka.aliyuncs.com:9092
spring.kafka.producer.ack=1
spring.kafka.producer.buffer-memory=33554432
spring.kafka.producer.batch-size=200
spring.kafka.producer.retries=3
spring.kafka.producer.properties.max.request.size=10485760
spring.kafka.producer.properties.request.timeout.ms=100

# 负载均衡策略
spring.cloud.nacos.config.server-addr=a.nacos.conf.db.qmai.cn

spring.application.name=order-center-tool

# 配置中心SDK config-center SDK
zm.config.center.enabled=true
zm.config.center.jvm.cache.maxSize=500000
zm.config.center.jvm.cache.expire.seconds=300
zm.config.center.feign.max.total.connection=100
zm.config.center.feign.default.max.per.router=100
# 配置同步日志是否打印 不配置默认false
zm.config.center.mq.syncLogOpen=false


